import time
import json
#from redis.sentinel import Sentinel
import connect

if __name__ == '__main__':
    # ======Try to connect NEON server
  
    #sentinel=Sentinel([('10.1.53.240', 9001),('10.1.53.240', 9011),('10.1.53.240', 9021)], socket_timeout=0.1)
    #sentinel=Sentinel([('10.1.33.141', 9001),('10.1.33.141', 9011),('10.1.33.141', 9021)], socket_timeout=0.1)
    #r=sentinel.master_for('neonmaster', socket_timeout=20, password='sanlie;123')
    ip_port = [('10.1.33.141', 9001)]
    passwd = 'sanlie;123'

    r= connect.connectNeon(ip_port, passwd, 10)
    r_read = r.getRedisRead()

    path='/GPPD/control/command/mantid' 
    path2='/GPPD/heartbeat/mantid' 
    x=r_read.get(path)
    y=r_read.get(path2)
    print json.loads(x),json.loads(y)
